13/11/2025 15:53
- added: support for 50V, 3A module
- changed: firmware requirement for license dongle updated to 1.18
version 1.9.3.2

04/11/2025 14:38
- fixed: network access for new licence codes
version 1.9.3.1

30/10/2025 09:06
- fixed: exception for classic ascii export for multi-srm (Ticket #5489)
- changed: support for new license codes added
version 1.9.3.0

29/04/2025 15:30
- added: parameters in datasheet and ASCII export (Ticket #5362)
version 1.9.2.0

21/10/2024 17:74
- fixed: x-values of charts can be zero (Ticket #5003)
version 1.9.1.0

16/10/2024 13:32
- added: evaluation tool form (Ticket #3663)
- added: database statistic added (Ticket #3381)
- added: default measurement parameter for qsm measurements can be set by config files (Ticket #4891)
- changed: calculated psi(i,R) charts copy the center/close settings from psi(i) chart instead of fixed values (Ticket #4745)
- changed: Hall-Coefficient shown with up to 4 digits in datasheet (Ticket #4873)
- changed: How-To updated
- fixed: manual color setting for charts in the characteristics tool does not work, if automatic color setting is enable before (Ticket #4756)
- fixed: cancel of project change doesn't work (Ticket #4871)
- fixed: wrong parameterlabel for stray field coefficient of sheet adapter (Ticket #4996)
version 1.9.0.0

28/05/2024 13:58
- fixed: possible license error when adding Multi-SRM (Ticket #4712)
version 1.8.1.7

24/05/2024 13:58
- fixed: possible license error when adding Multi-SRM (Ticket #4712)
version 1.8.1.6

24/05/2024 10:36
- fixed: error when calculating R(t) for Multi-SRM (Ticket #4713)
version 1.8.1.5

22/02/2024 09:05
- fixed: bridge balancing delay is ignored (Ticket #4492)
version 1.8.1.4

26/01/2024 09:19:42
- fixed: possible empty ASCII-export files for measurements with changed parameters after measurement (Ticket #4437)
version 1.8.1.3

21/01/2024 15:09
- fixed: Error when importing a mml-file (Ticket #4419)
version 1.8.1.2

10/01/2024 08:54:19
- fixed: Unhandled exception after click on bridge balancing button (Ticket #4184)
- added: nominal rod adapter diameter field (Ticket #4318)
version 1.8.1.1

10/01/2024 08:54:19
- fixed: Unhandled exception after click on brindge balancing button (Ticket #4184)
- added: nominal rod adapter diameter field (Ticket #4318)
version 1.8.1.1

19/09/2023 08:52:18
- added: shunt resistance added to datasheet for quasi-static measurements (Ticket #3802)
- added: selection of charts color mode in characteristics tool (Ticket #3507)
- added: color picker icon in characteristic tool to set the color of the charts when manual mode is used (Ticket #3507)
- added: icon in characeteristics tool to add a chart rotated by 180° (Ticket #3993)
- added: dynamic buttons in characteristics tool to show/hide each segment (Ticket #3992)
- added: module IDs are saved for every measurement and part of datasheet and export files (Ticket #3791)
- changed: minimal sampling time recommendation increased (Ticket #2847)
- changed: adding a new remote database connection disables OK until an existing connection is selected or the new connection is saved, preventing unwanted loss of entered connection parameters (Ticket #4098)
- changed: B(H) characteristic is no longer part of ASCII export in SE format and multi column file format if filter characteristics is set due to different H values of original and filtered curve (Ticket #3562)
- changed: if Psi(u) mode is active for a database, new measurements create directly a psi(u) chart instead of psi(i) (Ticket #3792)
- changed: Psi(i)=> Psi(u) conversation now includes all psi(i) charts including psi2(i) and otherwises calculated ones (Ticket #3499)
- fixed: unhandled exception in MultiSRM (#4026)
- fixed: unhandled exception for ascii export of qsm (Ticket #3988)
- fixed: filter characteristics causes unwanted effects if applied for an old chart set to use an old filter type (old filter type is ot used anymore) (Ticket #3571)
- fixed: clear command of characteristics tool doesn't remove charts completely (Ticket #4124)
- fixed: auto naming considers existing "out-of-range" node names for increment decision (Ticket #4085)
- fixed: unhandled exception replaced by a message in message panel in case of read error for SRM data (Ticket #4145)
- removed: function to show/hide start curves of charts in characteristics tool (replaced by new dynamic function to show/hide everey segment of chart)
version 1.8.1

12/07/2023 10:52:58
- added: using Shift+F3 creates node with identical name of selected node (Ticket #3483)
- added: separately licenced function for transfer psi(i) to psi(u) and back added in menu extra
- added: context menu items for measurements and characteristics to compensate for resistance change during step response measurements
- added: context menu items for calculation of psi2(i) from recorded secondary induced voltage for single coil measurements
- added: input field for resistance calculation samples for SRM
- added: result message when saving datasheets (Ticket #3563)
- added: License information on Info-Window (Ticket #3500)
- added: Device hardware information on Info-Panel (Ticket #3681)
- added: Support for LocalDB 2022 (Ticket #3772)
- added: measurement toolbar view can be toogled, if device and database are connected (Ticket #3775)
- fixed: unhandled exception when using naming pattern containing numbers without increment definition (Ticket #3482)
- fixed: unhandled exception when accessing measurement data of incomplete measurements (Ticket #3638)
- fixed: error color of input fields not reset when changing values (Ticket #3677)
- fixed: several typos and missing translations
- changed: more informative warning message if dual coil measurement is aborted due to wrong secondary polarity (Ticket #3637)
- changed: diode block is shown when activated (Ticket #3782)
- changed: splashscreen image updated
version 1.8.0.0

10/01/2023 10:07:15
- added: extend database menu item in file menu to increase internal counter from 16 to 32 bit allowing for more characteristics in database (Ticket #3358)
- added: explanation for magic parameters on meta data panel (Ticket #3337)
- changed: external links for update check oder news use https instead of http (Ticket #3404)
- changed: project name is used as default file name when exporting all measurements of a project (Ticket #3421)
- changed: database gets disconnected when changing the instance name or type in properties panel (Ticket #3422)
- fixed: menu items active state wrong after change to remote SQL database or back (Ticket #3371)
- fixed: database update fixed for SQL2014 (last 32bit version) (Ticket #3399)
- fixed: unhandeled exception when importing in a large database (Ticket #3423)
- fixed: layout of qsm form has larger buttons and margins between the elements (Ticket #3428)
version 1.7.17.0

14/11/2022 11:33:17
- added: export of characteristics by F4 enabled (Ticket #3322)
- changed: improvements for auto-naming without usage of naming patterns (Ticket #3321)
- fixed: database can only contain 65536 characteristics (Ticket #3341)
- fixed: possible unhandeled exception when storing step response measurement data (Ticket #3340)
version 1.7.16.0

01/11/2022 09:55:14
- fixed: axis text of Phi(Theta) characteristics is not translated in data-sheets (Ticket #3251)
- fixed: software crash due to an empty database field for SRM (Ticket #3301)
- fixed: possible database update problem after partially update fixed (Ticket #3300)
version 1.7.15.1

31/08/2022 12:03:54
- fixed: delete entry missing in context menu of active measurement nodes (Ticket #3195)
- fixed: copy/insert of SRM causes unhandled exception (Ticket #3158)
- fixed: delete entry missing in context menu of saved measurement nodes (Ticket #3157)
- changed: added measurement node is selected automatically after creation by copy&paste
version 1.7.15.0

28/07/2022 11:22:14
- fixed: unhandled exception when no measurement data is received (Ticket #3084)
- fixed: statusbar text during active measurement is missing (Ticket #3118)
- fixed: measurement start message for SRM not in bold font (Ticket #3120)
- fixed: different background color for properties fields of qsm (Ticket #3121)
- fixed: phi und theta column mixed up in SE-ASCII-Export-Format (Ticket #3127)
- fixed: Time is reset when measurement has more than 65536 measurement points (Ticket #3055)
- fixed: Renaming causes unhandled exception when all measurements are shown in project tree (Ticket #3056)
- fixed: Selection of COM-Port sometimes not possible (Ticket #2844)
- changed: background color of bold formated messages in message panel differs from the rest (Ticket #3082)
- added: status and text set in statusbar for resistance measurement (Ticket #3080)
- added: Number of turns can be added for a step response measurement (Ticket #3081)
- added: Phi(Theta) characteristic can be calculated from psi(i) if number of turns is set (Ticket #3123)
- added: a calculated characteristic can now be deleted by right-click context menu (Ticket #3126)
version 1.7.14.0


13/06/2022 11:01:05
- fixed: Start of measurement runs into exception after update to 1.7.13 without deinstallation of previous version (Ticket #2989)
- fixed: ASCII settings logic mixed up for se export format and the others (Ticket #2988)
version 1.7.13.1

30/05/2022 13:26:24
- fixed: selection of COM-port is not possible after disconnect (Ticket #2844)
- fixed: measurement name is missing in export file path when using timestamps (Ticket #2851)
- fixed: background color of timing fields of SRM stay yellow even after change to a valid value (Ticket #2868)
- fixed: project name becomes part of the measurement name when edited (Ticket #2944)
- fixed: cycle time increases with each measurement until restart of software (Ticket #2869)
- changed: several problems are not marked as warnings in the messsage panel instead of information (Ticket #2848)
- changed: status bar text changed when qsm is in progress (Ticket #2850)
- added: message in message panel on start of measurement in bold font style (Ticket #2856) 
version 1.7.13.0

07/04/2022 14:27:19
- fixed: Missing space char in statusbar text (Ticket #2743)
- fixed: Datasheet files are not created (Ticket #2746)
- fixed: empty datasheets are created as files for empty measurement nodes (Ticket #2750)
- fixed: minimal sampling time for ring probe measurements too large (Ticket #2752)
- fixed: exception when using naming schemes without a string between colons (Ticket #2791)
- fixed: ascii export file names contain folder name when using legacy file names scheme (Ticket #2813)
- fixed: possible IndexOutOfRange exception for measurements with very few measurement points (Ticket #2827) 
- changed: if use of naming scheme is deactivated the last found number is incremented instead of the first (Ticket #2792)
- changed: Statusbar text for srm changed to the same as qsm (Ticket #2751)
- changed: Resistance value and calculated geometry parameters rounded in ASCII export formats (Ticket #2745)
- changed: instead of a changed background color in case of to small sampling time a hint is shown indicating the minimal sampling time (Ticket #2744)
version 1.7.12.0

16/02/2022 15:18:19
- added: Autonaming options in settings window to define naming system for new measurement nodes (Ticket #2462)
- added: Syntax check for SQL server instance names to prevent possible exceptions (Ticket #2718)
- fixed: B and H columns interchanged in solenoid evaluator ASCII export format for ring probes (Ticket #2714) 
- fixed: Exception when entering letters too fast in resistance value field (Ticket #2598)
- fixed: Starting a degaussing may deactive the start measurement button of qsm, restart required (Ticket #2690)
- fixed: Software crashes when starting a measurement during degaussing (Ticket #2699)
- fixed: Project tree not working correctly after project opened by the list of most recent files (Ticket #2707)
- fixed: Negative voltage input for SRM is not lmited (Ticket #2517)
- fixed: Different date formats for SRM and QSM in SE ASCII export format (Ticket #2716)
- fixed: List of COM-ports is not updated after last COM-Port is removed due to switch-off of MagHyst device (Ticket #2720)
- fixed: Measured resistance in SE-ASCII-Export format only to be included for magnetsystem measurements (Ticket #2735)
- changed: Statusbar texts optimized (Ticket #2635)
- changed: Degaussing form sets status icon in statusbar (Ticket #2691)
- changed: Performance of qsm parameter panel increased (Ticket #2708)
- changed: Sampling time is checked on input and set to default minimum if to small (Ticket #2516) 
version 1.7.11.0

05/01/2022 17:38:53
- added: additional measurement channel selection is saved in database for each measurement (Ticket #2539)
- added: success message for XML export (Ticket #2582)
- changed: relais is disconnected right after end of measurement (Ticket #2492 and #2526)
- changed: dropdown list for additional measurement channels parted into seperate checkboxes (Ticket #2515)
- changed: layout of parameter panel for qsm optimized (Ticket #2548)
- changed: external voltage Uext(t) is shown instead of H(t) for magnet systems and ring probes (Ticket #2549)
- changed: messages for database update and database shrinking updated (Ticket #2551)
- changed: psi(i) characteristic is shown first on step response measurement datasheet (Ticket #2552)
- changed: menu entries for import and export of measurements renamed and moved to projects menu (Ticket #2564)
- changed: messages after ascii export depend on typ of export and exported node (Ticket #2580)
- changed: color field in status bar only uses red and green. red after start of measurement or when no database is open, green if a measurement start is possible (Ticket #2579)   
- fixed: possible exception during import or import resulting in wrongly matched parameters (Ticket #2553)   
- fixed: start measurement button of qsm is disabled after srm measurement (Ticket #2541)
- fixed: Uind1(c) is missing in the column legend in solenoid export format (Ticket #2528)
- fixed: checked additional measurement channels were not measured after disconnect and reconnect of the maghyst device, if the measurement nodes are created before the maghyst disconnect (Ticket #2506)
- fixed: some delimiters missing in multi-colum export format (Ticket #2529)
- fixed: H(t) is zero for magnet systems or ring probes (Ticket #2549)
- fixed: status field in status bar is green even before end of data transfer and saving in database (Ticket #2579)
- fixed: project tree could be empty even if datebase is opened (Ticket #2584)
version 1.7.10.0

18/11/2021 10:43:16
- added: project tree navigation by arrow keys is now possible (Ticket #2389)
- changed: changing the measurement object resets the additional measurement channels (Ticket #2510)
- changed: B(H) and Psi(i) characteristics are now the first nodes in the project tree and the first charts in datasheets (Ticket #2488)  
- changed: opening database file by double click now works if open last project option is disabled (Ticket #2487) 
- changed: more consistent behaviour for setting default values for qsm when changing measurement object (Ticket #2452)
- changed: color of characteristics segments for SRM set to black in datasheet (Ticket #2399)
- changed: title for diagrams in datasheets (Ticket #2390)
- changed: some chart node names updated to current name (Ticket #2400)
- changed: selected node remains highlighted even when the focus changes to another panel (Ticket #2422)
- changed: import function checks database version of exported data and acts accordingly (Ticket #2408)
- changed: database structure updated to decrease database file size (Ticket #2439)
- changed: added index for database table to increase performance for large databases (Ticket #2466)
- changed: repair database function rewritten to increase speed and reliability (Ticket #2465)
- changed: database update procedure optimized (Ticket #2484)
- changed: temporary measurement button text "measurement running" removed (Ticket #2494)
- changed: project tree is filled only once when the software is started increasing performance (Ticket #2451)
- changed: headers of datasheets harmonised (Ticket #2505)
- changed: measurement button deactivated when data is read from device (Ticket #2507)
- changed: focus on text field im form for adding or renaming project (Ticket #2513)   
- fixed: buttonbar for adding measurements is not shown if last project is not opened at start or when opened/created by menu (Ticket #2502) 
- fixed: error message if file export contains invalid characters as part of file path (Ticket #2398)
- fixed: error message when exporting italic shown measurements (Ticket #2438)
- fixed: software may end unexpectedly when splash screen is shown (Ticket #2449)
- fixed: error message when exporting node that includes B(H) characteristics (Ticket #2450)
- fixed: "delete all" button only removes folders but not files in ASCII export folder (Ticket #2460)
- fixed: partially wrong measurement parameters when using F3 to create the first node in active nodes (Ticket #2452)
- fixed: possible exceptions when exporting ascii data dued to missing database column (Ticket #2483)
- fixed: exception when exporting old databases in solenoid evaluator export format (Ticket #2485)
- fixed: possible data loss for old customized databases to allow extra long measurements (Ticket #2486)
- fixed: solenoid evaluator export throws exception if characteristic node is empty (Ticket #2489)
- fixed: possible exception when reading data from maghyst device returns no data (Ticket #2491)
- fixed: wrong parameters for measurement data are sometimes saved in database if another node is selected while a measurement is running (Ticket #2490)
- fixed: active measurements can be deleted  when project is renamed (Ticket #2512) 
- known issues: if another node is selected while a mesurement is running, the measurement parameters of the active measurement may overwrite the measurement parameters of the newly selected node
version 1.7.9.0

13/10/2021 15:52:26
- added: import menu item in file menu (Ticket #2346)
- added: support for new main module type (Ticket #2387)  
- changed: both file formats (mml and mmlx) are now shown in import file dialog (Ticket #2338)
- changed: characteristic node names of old databases are updated to current node names (Ticket #2378)
- changed: database update executed after main window is shown (Ticket #2380)
- fixed: possible exception when calculating Hc of B(H) characteristic with only a few total data points (Ticket #2347)
- fixed: measurements were not shown after import when exported from active node (Ticket #2340)
- fixed: maxwell export file could have decreasing flux density values with increase field strength (Ticket #2341)
- fixed: Psi(i) characteristic is not shown for very old databases, exception "DBNull can not be converted..." (Ticket #2362)
- fixed: possible wrong number of measurement points in message panel for QSM (Ticket #2379)
version 1.7.8.0

12/08/2021 08:45:28
- added: link in degaussing tool to open How-To
- added: filter function for B(H) characteristics display (Ticket 2028)
- changed: HowTo updated with hints on degaussing parameter calculation (Ticket 2086)
- fixed: opening a project by double-click on database file opens the selected database file directly (Ticket 2218)
- fixed: checks in panel menu still set if panels are closed (Ticket 2152)
- fixed: measurement duration is wrong for qsm (Ticket 2196)
version 1.7.7.0

14/06/2021 11:14:16
- added: new option in settings to include the full filepath or just the filename of database in datasheets (Ticket 2055)
- added: new option in settings to handle the sql server instance name as named SQL Express instance (useful if localdb is installed but should not be used) (Ticket 2112)
- added: new main module type (Ticket 2121)
- changed: limits for resistance measurement voltage depending on module parameters (Ticket 2058) 
- changed: unnecessary relais control events and relais switch between bridge balancing and qsm measurement removed (Ticket 2034)
- changed: default measurement parameters for rod adapter measurements and Sheet-metal adapter measurements (Ticket 2044)
- changed: automatic calculation of induced voltage disabled for rod adapter measurements and sheet-metal adapter measurements (Ticker 2044)
- changed: time column in message panel is shown by default (Ticket 2049)
- fixed: project name is not show after saving to database by context menu if "Show all Measurements" is active (Ticket 2050)
- fixed: timeout doesn't work if set after 65536 measurement points (Ticket 2035)
- fixed: several typos and missing translations (Ticket 2049, 2060)
- fixed: missing delimiter in SE ASCII export format (Ticket 2113)
- fixed: automatic Uind calculation calculates half of the previous value when clicked repeatedly (Ticket 2117)
version 1.7.6.0

29/04/2021 21:27:05
- changed: voltage offset for degaussing is added instead of substracted (Ticket 2041)
- changed: default values of sampling time and decay factor for degaussing (Ticket 2043)
- changed: H_c in positive value in data sheet
- changed: axis label text in degaussing tool optimized (Ticket 2042)
- changed: status bar text when transfering qsm measurement data (Ticket 2045)
- changed: instead of limiting the allowed values for rod adapter geometry parameters a yellow background is shown if a value is considered invalid (Ticket 2029)
- changed: measurement typ and object are now added to the datasheet (Ticket 2046)
- changed: increase step count for degaussing reduced back to 40 to prevent possible calibration parameter errors  
- fixed: status bar not reset when degaussing finishs (Ticket 2043)
version 1.7.5.0

23/04/2021 09:15:49
- fixed: possible unhandled exception when updating large older databases (Ticket 2019)
- fixed: project tree is empty when opening a mdf database file by double-click (Ticket 2020)
- fixed: unhandled exception when opening a manually inserted reference characteristics (Ticket 2026)
- fixed: several possible exceptions when a adapter measurement is incomplete due to timeout, unreachable current limit and others (Ticket 2008)
- fixed: measurements disappear after closing the project when created by multiple pasting of same parameter set (Ticket 2037)
- changed: required .NET framework updated to 4.8
- changed: QSM measurement is no longer executed if there is no measurement object connected (Ticket 1535)
- changed: degaussing uses 50 segments instead of 40 (Ticket 2030)
- changed: improvements for B(H) export for Maxwell (added median filter, change of sampling points, additional last point using µ0 slope) (Ticket 2007)
- removed: creation of not very helpful file Maghyst.log in database directory (Ticket 1980)
version 1.7.4.0

01/04/2021 20:22:29
- fixed: iron track length and iron cross section area are incorrect in datasheet und ASCII export for measurements with edited geometry parameters after measurement (Ticket 1918)
- fixed: program closed right on start if no serial port is available (Ticket 1983)
- changed: visible frame and background-color removed in datasheet diagrams (Ticket 1932)
- changed: restructured datasheet creation and user interface for customisation (Ticket 1927)
- changed: removed obsolete template html files (Ticket 1927)
- changed: creating a node using F3 now selects the node to enable direct measurement using CTRL+M (Ticket 1973)
version 1.7.3.0

26/03/2021 07:36:50
- added: codepage option in preferences for ASCII exports to restore low-level compatibility with older versions (Ticket 1964)
version 1.7.2.2

24/03/2021 16:13:43
- fixed: project tree is empty after opening old databases using the open database file menu entry (Ticket 1945)
- fixed: file names not as usual when usage of old naming scheme is activated (Ticket 1949)
- fixed: SRM measurement name is not saved when changed before measurement is saved to database (Ticket 1929)
- fixed: irritating error message if connection to MagHyst device is not successful established (Ticket 1931)
- fixed: resistance result of QSM measurement is too small (Ticket 1955) 
version 1.7.2.1

16/03/2021 13:13:59
* added: display of QSM starting curve can be turned on and off for already added measurements in characteristics tool (Ticket 1870)
* added: measurement node text is shown italic if measurement parameters are changed after a measurement (Ticket 1882)
* removed: obsolete context menu entry "Properties" for characteristic nodes (Ticket 1888)
* fixed: measurement parameters are reset when changing a node text before measurement (Ticket 1890)
* fixed: measurement date and time are in language specific format in SE-ASCII-Export format, should be german format (Ticket 1893)
* fixed: unhandled exception in OnHintEvent when trying to convert float to decimal (Ticket 1895)
* fixed: database version in ASCII export is wrong, if a database update is done after software start (Ticket 1909)
* fixed: Measurement time in datasheets and export files is wrong for QSM measurements (Ticket 1916)
* fixed: several parameters in datasheets and exports are not valid or missing for the used measurement typ (Ticket 1917)
* changed: BOM removed from UTF8 ASCII export files (Ticket 1902)
* changed: sampling time can only be set in steps of 1 µs
* changed: numeric type conversions do not change the visible measurement parameters (Ticket 1875)
* changed: trailing zeros of measurement parameter values removed (Ticket 1886)
* changed: position of date part and name part in new file naming changed, time now before name (Ticket 1741)
* changed: Psi(i) and B(H) characteristics are now closed by default when auto closing mode is set (Ticket 1889)
* changed: Datasheets and ASCII-export files include parameters used for measurement instead of last set parameter values (Ticket 1882)
version 1.7.2.0

04/03/2021 17:32:58
* fixed: hiding of start curve in characteristics tool doesn't work (Ticket 1851)
* fixed: print dialogs in project tree deactivated (Ticket 1853)
* fixed: export of maxwell import format can lead to full hard disk (Ticket 1697)
* fixed: characteristics export files of a single measurement are exported into different folders (Ticket 1881)
* changed: timestamp of ascii export files is no longer the current timestamp of the export but the changedate of the measurement node (Ticket 1881)
* changed: parameter check called on every value change of QSM measurement parameters
* changed: parameter check is called when changing tree node (Ticket 1852)
* changed: measurement parameters are no longer set to defaults when changing tree nodes (Ticket 1852)
* changed: psi(i) characteristics of unsymtrical QSM measurements are no longer centered by default (Ticket 1721)
* changed: optimized calculation of B_r and H_c of B(H) characteristics (Ticket 1718)
* changed: B_r and H_c of B(H) characteristics are not calculated if abs(minimum field strength) and maximum field strength differ more than 5% of maximum field strength (Ticket 1718)
* changed: distance between ticks on axis increased to reduce chance of getting numbers with a lot of decimal places (Ticket 1740) 
* added: measurements in active node can be exported in XML file format (Ticket 1766)
* added: new ASCII export format for use with solenoid evaluator (Ticket 1069)
* added: new naming scheme for ASCII export files (Ticket 1789)
* added: option to use legacy ASCII file naming convention in preferences window
version 1.7.1.0

08/02/2021 10:57:24
* fixed: wrong filename when using auto-export and classic ASCII export format (Ticket 1811)
version 1.7.0.1

02.02.2021 12:27
* added: pdf export option for data sheets (Ticket 1650)
* added: background queue for data sheets (closing main thread also ends background thread, even if queue is not empty)
* added: user can now define defaults for characteristics display functions in preferences (Ticket 1784)
* added: for magnetic systems the coil winding count can be set for future functions
* fixed: Exception when pasting a measurement with a different project id then the currently opened project
* fixed: Possible exception when selected a characteristics node due to color definition (Ticket 1783)
* fixed: changed column headers in classic export format => change back to classic column titles (Ticket 1779)
* fixed: possible wrong display of B(H) characteristic (Ticket 1764)
* fixed: sheet measurement is possible with sheet height 0 mm (Ticket 1722)
* fixed: unnecessary datetime  and/or color entry in metadata panel (Ticket 1739)
* fixed: export file with old measurement name when exporting a renamed measurement in active node (Ticket 1799)
* fixed: error message and incomplete file when exporting a measurement after "save to database" (Ticket 1800)
* fixed: database table differs for srm measurements (Ticket 1801)
* changed: preferences windows updates in data sheet section (Ticket 1650)
* changed: seconds re-added to measurement date format in classic export format (Ticket 1778)
* changed: measurement nodes changedate property set to time of measurement and saved to database (Ticket 1765)
* changed: changedate is used for datasheet file name instead of makedate of measurement node (Ticket 1741)
* changed: manuals updated
* changed: x64 version of MagHyst modular software is now the default release, x86 is considered deprecated
version 1.7.0.0

10.12.2020 16:29
* fixed: Exception when adding a measurement by F7 or F8 without active database connection
* fixed: database connection is removed when remote SQL server is used and preferences windows is closed by OK button (Ticket 1711)
* fixed: wrong parameters for magnetic systems in database
* fixed: missing geometry images in english language version (Ticket 1715)
* fixed: measurement data is not stored in the selected node when starting a measurement, but in the node selected at end of measurement (Ticket 1710) 
* fixed: characteristics calculation does not always respect settings for centering or closing of characteristics (Ticket 1518) 
* added: optional parameters (nominal voltage and polarisation) for magnetic systems (Ticket 1691)
* added: checkboxes for centering and closing of characteristics in characteristics panel bottom left corner (Ticket 1518)
* added: a message requesting a software update is shown if a newer database version is used than the software is intended for (Ticket 1698) 
* changed: Psi(i) characteristics of polarised magnetic systems are not centered by default (Ticket 1518) 
* changed: ASCII export file path is always requested when exporting a single file (Ticket 1699)
* changed: cursor coordinates are now shown besides the cursor instead the bottom left corner in characteristics panel (Ticket 1716)
* changed: replaced the geometry explanation images with langer ones on transparent background (Ticket 1715)
* changed: manual updated
* changed: zoom button and show coordinates checkbox moved from bottom right position to top right position in characteristics panel (Ticket 1518)
* removed: property panel (Ticket 1518)
version 1.6.3

19.11.2020 14:47
* fixed: offset problem with SRM (Ticket 1659)
* changed: logo reverted to png file format due to problems with svg format file
version 1.6.2.3

18.11.2020 13:33
* added: F4 can now be used on the saved node to export all measurements beneath in ASCII format (Ticket 1645)
* fixed: strange results when measuring long SRM segments or with additional measuring channels (Ticket 1571)
* fixed: Exception-Message when exporting ASCII multi-column format and multiple characteristics have the same title (Ticket 1654)
* fixed: Measurements in active-node are lost when project is changed by the project toolbar (Ticket 1610)
* fixed: IndexOutOfRange-Exception when ASCII-exporting an empty measurement (Ticket 1656) 
* changed: too long SRM segments automatically split in parts in background to prevent counter overflow in firmware when reading data (Ticket 1571)
* changed: list of addional measuring channels only contain optional channels and is hidden, if there is no optional channel for the selected measurement type (Ticket 1189)
version 1.6.2.2

16.11.2020 13:05
* changed: it is not longer possible to move a measurement to the currently open project
* changed: datasheet structure optimized (requires to delete css file and headertemplate.htm in <user folder>/Appdata/maghyst modular, if not customized) 
* fixed: wrong menu item name in datasheet panel text
* fixed: database path not shown in datasheet
* fixed: Exception when exporting SRM (Ticket 1649)
* added: project name in datasheet
version 1.6.2.1

12.11.2020 11:53
* fixed: possible NullReferenceException when importing *.mml-file
* fixed: ASCII export disabled in context menu of project tree
* fixed: Maxwell export independend from selected ASCII export format
* fixed: Measured resistance is missing in some export files
* fixed: project menu is disabled after disconnect from a remote database server and creating a new database file
* fixed: inserted copy of a single sample in SRM measurement on segment change
* changed: metadata is included when using copy&paste for parameters and measurements
* changed: static panel content replaced by html pages including online content from webspace (to be activated in settings)
* changed: projects listed in alphabetic order in project tree context menu
* changed: repeating messages in message panel removed
* changed: use of display property of characteristics instead of title property (only relevant for very old databases)
* added: news shown on start panel, enable/disable in preferences
* added: HowTo Measure Correctly included in help menu
version 1.6.2.0

16.07.2020 18:11
* added: MainModule description "U=30V, I=0.1A"
* fixed: possible automatic offset adjustment errors with the last two module types added (explicit current limit and voltage settings added)
version 1.6.1.8

06.07.2020 06:52 
* added: MainModule description "U=150V, I=1A"
version 1.6.1.7

28.04.2020 18:31:07
* fixed: unnötige Trennzeichen oder doppelte Spalten in ASCII-Export-Dateien
version 1.6.1.6

23.04.2020 13:16:16
* fixed: disabled export function in context-menu
* fixed: multi-column export fails for single characteristic
* fixed: exception for measurements with more than 32767 measurement points
* fixed: flickering of com-port-panel if no COM-port is available
* fixed: wrong module parameters (resulting in incorrect restistance calculation or induced voltage values) after change of main module without software restart
* fixed: accidential start of several step response measurements by deactivation of start measurement button on click event while measurement is active
* added: delay before 'CM not ready' exception raised in ReadDataBlock, before null pointer would be returned. Reduces exception probability.
version 1.6.1.5

11.03.2020 10:36:29
* fixed: projects menu items are usable with no open database resulting in errors
* fixed: properties panel in menu still activated after panel is closed
* changed: start curve can be hidden by SC-button in characteristics tool for all measurements with more than two sections
* changed: status icon is now yellow after measurement is finished until end of data storage
version 1.6.1.4 

08.01.2020 17:07:14
* fixed: crash when starting with enabled auto-open option and file is not found
version 1.6.1.3

07.01.2020 09:47:29
* fixed: restored compatibility with SQL Server 2014 versions
version 1.6.1.2

20.12.2019 12:21:08
* fixed: software crash if settings file doesn't contain the last open project entry
version 1.6.1.1

20.12.2019 08:31:23
* fixed: changes in properties panel have no effect on srm measurements in active node
* fixed: possible unhandled exception when displaying aborted measurements
* fixed: rare error in measurement import
* fixed: possible OutOfMemory-Exception when exporting large XML files
* fixed: command line arguments having no effect
* fixed: most recent files can not be opened when path is shortend
* fixed: unhandeled exception for label edit
* added: meta data (formerly CommonInfo panel data) can be edited for stored measurements
* added: command line parameter "--silent" to suppress message panel content (eliminates increasing delay of about 1 ms per measurement for large series)
* added: green of red square in status bar indicating readiness for next measurement (red - measurement in progress, green - ready for measurement)
* added: multi-ASCII-export in context menu of database node for all shown child nodes
* added: common info table data can be viewed and edited for stored measurements
* added: metadata panel
* added: new two-column ascii export format
* added: new multi-column export format with a single file for a measurement
* added: set ascii export format in preferences 
* added: support für LocalDB version 15.0
* changed: disabled export command in tree view context menu if there is nothing to export
* changed: more flexibel metadata panel replaces common info panel
* changed: new database version to replace commoninfo table and migrate existing data to metadata table 
* changed: bridge balancing delay input is now in ms, not longer in s
* changed: several text outputs optimized
* changed: english text SRM used instead of german SA for ASCII-Export file name and in context menu 
* changed: datasheet templates updated for new metadata output
* changed: linecolor for new charts is now black by default
* changed: using the timestamp option for ASCII-export now includes the time of measurement in human readable format in both foldername and filename
* removed: common info panel
version 1.6.1.0

30.08.2019 15:39:06
* fixed: error during import "Typ can not be DBNULL.Value"
version 1.6.0.2

09.07.2019 13:43:20
* changed: plausibility check for sampling time considers now additional measurement channels
version 1.6.0.1

08.07.2019 09:55:30
* fixed: several errors in translations
* fixed: default values override measurement parameters in case of copy&paste of a tree node
* fixed: empty context menu on root node
* added: message regarding resistance measurement reliability for step-response measurements (typically just an info message, becomes a warning when current diviation is greater than 0.15%)
* added: sampling time plausibility check (if H(t) channel is selected a minimum of 0.16 ms is required)
* added: projects in main menu
* added: import/export function in main menu and project tree (single measurement, measurements of current project or all measurements can be exported) in XML format or gz-compressed XML file
* added: forms for database connections management and projects management
* changed: main menu structure 
* changed: database structure updated in preparation for database internal projects
* changed: removed sql settings in preferences
* changed: setting of "use remote sql server" is active without restart of software
* changed: most recent file manager rewritten
* changed: serveral performance optimizations
* changed: manuals updated
version 1.6.0.0

12.04.2019 13:47
* fixed: automatic time stamp function
* changed: initial "add header" setting during ASCII export is active by default
* version 1.5.18.2 

03.04.2019 10:31 
* Uind offset can be used for Uind1, Uind2 QSM measurements (without database handling/ export / datasheet)

02.04.2019 18:12
* Uind Offset variable added, todo: add measurement parameter check, using during QSM, coupling with freewheeling diode block and database handling

01.04.2019 10:59:23
* fixed: negative resistance values are no longer included in datasheet for qsm
* added: bridge balancing parameter for DAC minimum limit is adjustable by --reslimit=<number> in conjunction with --adminmode   

01.04.2019 10:21 (beta)
* Bridge balancing parameter temporary reduced from 1024 down to 800 (to measure actuators with a higher coil resistance). 
  Reduced values (e.g. 512) can be specified in admin mode by SW start command line switch

28.03.2019 13:55 
* new sheet adapter for 25 mm sheet width, corrected StrayFieldCoefficient as measurement coils cross section area in mm^2
* internal hall delay parameter added: 1.2ms for 4mm sheet adapter, 0.2ms for 25mm (used if sheet with >5mm width is defined)
* version 1.5.18.1

26.03.2019 15:07:10
* fixed: missing parameter update handler after a sheet adapter using (wrong B(H) scaling e.g. if a ring core is measured afterwards)

26.02.2019 13:37:18
* fixed: error in B(H)-calculation
version 1.5.17.1

16.01.2019 09:15:35
* fixed: missing translation of axis titles in SRM-datasheets graphics
version 1.5.17.0

15.01.2019 14:23 
* changed: measurement protocol names are distinguished by selected program localization language
Hint: DatasheetStyle.css and CompanyHeader.htm in the MagHyst user settings folder 
    (c:\Users\_your_user_name_\AppData\Roaming\Maghyst modular\) are to be removed manually 
    only if version 1.5.16.4 was installed before
version 1.5.16.5

07.12.2018 11:50
* changed: Program name "Maghyst 2013 x86" -> "MagHyst modular"
* changed: measurement protocol (datasheet) header (MagHyst logo only, without address field)
* changed: automatic datasheet generation is activated as default setting
* fixed: missing installer / uninstaller icon
version 1.5.16.4

19.11.2018 13:46
* changed: cylinder probe diameter 0, max. 1e6 (administrator mode)
* changed: png logo handling
version 1.5.16.3

02.11.2018 11:56:16
* fixed: startup crash of version 1.5.16.1 after clean install
version 1.5.16.2

26.10.2018 09:24:32
* added: support for new power module type
* added: support for release 1.9 of main module firmware
* changed: references to Kendrion Mechatronics Center GmbH removed
* changed: manuals updated
* changed: URLs for MagHyst homepage, update check
* fixed: several typos
version 1.5.16

13.08.2018 10:20:48
* changed: URL for Update-Check due to changes on stz-mtr.de
* changed: manuals updated
version 1.5.15.4

14.05.2018 14:29:02
* added: Support for LocalDB 2017
version 1.5.15.3

14.12.2017 13:34:43
* fixed: error in flux density calculation auf B(H)-measurements
* fixed: possible crash at start-up due to error while reading settings file
* fixed: wrong current amplifier in step response measurement shown
* changed: current limit updated for high current power module
* changed: default sampling time of srm 0.033 ms  
version 1.5.15.2

29.11.2017 15:50:51
* fixed: possible exceptions when using STRG+M repeatingly for qsm
* fixed: missing translation string
* fixed: splash screen doesn't consider language settings 
* changed: form layout unified
version 1.5.15.0

16.11.2017 09:29:15
* fixed: missing translations for export files
* fixed: missing translations for panel headers
version 1.5.14.2

13.11.2017 08:22:28
* fixed: several missing translations
version 1.5.14.1

08.11.2017 14:34:30
* added: manual decay factor for degaussing voltage
* added: several missing string translations
* added: "clear" in context menu of characteristics tool
* added: manual offset input for degaussing voltage
* added: translations for entries in properties panel
* changed: executable renamed to MagHyst.exe
* changed: renamed files to remove namespace STZ.Mechatronik
* changed: forms layout harmonized
* changed: default 0 for serial number in Common Info Panel removed (requires/executes a database update)
* changed: improved function of degaussing tool
* changed: file system clean up
* changed: manuals updated
* fixed: minor translation errors
* fixed: possible exception after right-click on measure button
* fixed: measurement bar shown when no measurement device is connected
* fixed: printing functions in project tree context menu only usable when there is something to print
* fixed: remove additional # in english version of qsm datasheet template
* fixed: wrong color code for degaussing tool input fields
* fixed: mixed-up tool tips of measurement bar buttons
* fixed: typo in context menu of project tree
* removed: context menus of panel headers
* removed: unused properties of treenodes in properties panel
version 1.5.14.0

08.09.2017 11:22:18
* fixed: error when using copy and paste of measurements between projects since version 1.5
version 1.5.13.0

05.09.2017 11:00:15
* changed: manuals updated
* added: a more direct error message when trying to open a newer database with an older SQL Server 
version 1.5.12.0

24.08.2017 11:09:16
* fixed: replaced template DB (requires SQL 2016 or newer) with SQL 2012 or newer compatible version
version 1.5.11.1

23.08.2017 16:18:01
* added: internal resistance can be set in preference to be considered during calculation of measurement object resistance
* changed: improved thermal stability (requires firmware V1.9 or higher (since 08/21/2017)
version 1.5.11.0

15.08.2017 08:08:15
* fixed: data-sheet is not created if some parameters are missing in database
* changed: internal changes for feature development
version 1.5.10.0

20.02.2017 09:55:00
* changed: default voltage for resistance measurement changed from 1 to 3 volt
version 1.5.9.1

14.02.2017 09:51:16
* fixed: possible error message when exporting old measurement
* fixed: misleading database time-out warning when opening an old database 
* fixed: start degaussing button stays inactive after degaussing
* changed: correct warning message now only shows in case of too many measurement points, not on every sql error while storing data in the database
* added: experimental export of maxwell-file-format for B(H) characteristics
version 1.5.9.0

11.01.2017 12:08:10
* fixed: removed unrelated parameters in data-sheet of magnetic system qsm measurement
version 1.5.8.1

08.12.2016 09:21:18
* fixed: continously disabled measurement start button after measurement of too small resistance
* fixed: measurement not starting with initial resistance value
* changed: increased database performance by elemination of redundant checks
* changed: default line width decreased to half
version 1.5.8.0

28.11.2016 11:12:31
* fixed: data-sheets were not created when a required parameter is not found in database
* added: bridge balacing parameters are now part of headers in ASCII export files
version 1.5.7.6

18.11.2016 08:36:17
* changed: timeout for database operations during database upgrade increased to 120s
* added: command line parameter to set timeout of database upgrade operations (--timeout=?) (? time to wait in seconds)
version 1.5.7.5

24.10.2016 10:25:19
* fixed: error in qsm data-sheet
* fixed: hardware and software crashs during degaussing
* fixed: wrong background colours for degaussing parameters
* fixed: possible communication crash when stopping a measurement during bridge balancing
* changed: degaussing is no longer possible, if parameters are not set correctly
* changed: number of digits in data-sheets adjusted
* changed: default characteristics label
version 1.5.7.4

20.10.2016 09:58:21
* fixed: measurement bar appears even without an open project
version 1.5.7.1

18.10.2016 08:44:10
* fixed: exception if the selected diagram node is empty (e.g. in the "corrupted" measurement nodes)
* added: button to open the config-folder in data-sheet section of preferences menue
* changed: data-sheet headers are now customizable without reset to defaults when updating the maghyst software
* changed: manuals updated
version 1.5.7.0

13.10.2016 10:58:17
* fixed: current limit setvalue for safety checks during degaussing
* fixed: start crash when using a path for export or datasheets containing a non-available drive
* changed: resistances smaller 1 Ohm are now added in data-sheets in mOhm with 2-digit precision
version 1.5.6.5 

11.10.2016 13:50:28
* changed: coil resistance value "precision" increased from three to four digits
* changed: module parameter null reference check added in the step response measurement panel to prevent exceptions by disturbed communication
* fixed: error in the degaussing routine parameter check function
version 1.5.6.4

05.09.2016 17:57:12
* added: new module description "U=48V, I=1.5A" added (module with +-60V max voltage and 1.6A max. current)
version 1.5.6.3

04.08.2016 11:15:14
* fixed: possible sql error after selecting a tree element
version 1.5.6.2

22.07.2016 10:53:16
* fixed: expection when storing long measurements in database
* changed: added some missing translations 
version 1.5.6.1

14:47 20.07.2016
* fixed: zero offset values / exceptions with a 2 Ohm shunt module
version 1.5.6

19.05.2016 14:30:03
* fixed: missing detail view of B(H) characteristic 
* added: global hot-key (STRG+M) to start a measurement
version 1.5.5

15.04.2016 14:57:51
* fixed: wrong limit calculation for impulse time and decay time
* changed: optimized auto-naming for copy&paste-measurements
* added: option to separate data-sheets in sub-folders
* changed: updated manuals 
version 1.5.4

29.03.2016 13:56:22
* fixed: some minor exceptions with adapter measurements (zero length array, index out of range)
version 1.5.3.3

07.03.2016 11:09:19
* fixed: new project template works with sql server 2008 and 2012 again
version 1.5.3.2

17.02.2016 18:24:58
* fixed: false positive update check
* fixed: error during database update for version 1.5.3
version 1.5.3.1

12.02.2016 11:54:41
* added: SRM decay time can now be set seperatly
version 1.5.3.0

08.02.2016 15:29:32
* added: support for networks using proxy server for internet access when checking for updates
version 1.5.2.1 

16.12.2015 10:44:19
* fixed: error when opening a new project
* added: command bar for adding new measurements, only shown when maghyst is connected
* added: shortcut F7 for adding new qsm measurement (requires active project panel)
* added: shortcut F8 for adding new srm measurement (requires active project panel)
* added: english context menu for icon bars   
* changed: optimized tooltip layout
* changed: optimized layout auf communications tool bar
* changed: context menu in project tree opens directly with right click, even for not previously selected nodes
* changed: "custom" setting checked by default in qsm panel
* changed: new default values for srm measurements
* removed: customize option for commandbars
* updated: manuals
version 1.5.2.0

08.12.2015 10:52:04
* fixed: multiple points in first and second columns of ascii export files
* fixed: multiple data-rows for qsm measurements in database (is automatically fixed when opening a database with measurements done using version 1.5.0.0 or 1.5.0.1)
* version 1.5.1.0

04.12.2015 10:41:29
* fixed: incomplete message text for german update check function
* version 1.5.0.1

30.11.2015 16:07:55
* ATTENTION: Older versions (<1.5) may open projects with new database structure, but the older software crashs, when new measurement data is stored in the database
* ATTENTION: First opening of an old database may take a while for database upgrade, especially when stored on a network drive
* changed: improved resistance calculation for step response measurement
* changed: database structure improved for minimizing size and increased performance
* changed: maximum length of upper or lower part of curve limited to 65536 points
* changed: a project (database) can contain up to 65536 characteristics by default
* changed: measurement parameters are no longer updated by default one when selecting rod or sheet adapter
* changed: folder name includes measurement typ when using timestamp option
* changed: documentation updated for the new features, functions and restictions
* changed: changing focus to project panel by clicking on previously selected node doesn't activate renaming for this node  
* added: existing projects are automatically updated to the new database structure when opened
* added: user is asked when the characteristics limit (65536) is nearly reached whether to increase it by the costs of memory and time or not 
* added: update check function in menu 
* fixed: possible software crash, when storing in database doesn't work properly or database is corrupted
* fixed: possible error when mixing different versions of .NET framework
* fixed: error when storing common info data
* fixed: crash when diode block is used
* fixed: wrong resistance measurement, when different maghyst devices are used and existing measurements are used as template for new ones
* fixed: wrong characteristics may be included in data-sheet, if database structure is different
* fixed: error when creating data-sheet on node without subnodes 
* fixed: unhandled exception when getting to many maeasurement points for characteristics part
* fixed: unhandled exception when creating a data-sheet for an incomplete measurement 
* version 1.5.0.0  

04.11.2015 17:02:07
* fixed: possible fatal crash when updating .NET framework (e.g. by updgrading Win 7, 8 or 8.1 to 10)
* version 1.4.6.1
 
*30.10.2015 14:11:25
* added: option for using timestamps for folder names for automatic export or F4
* fixed: auto-export settings require restart to work
* updated: german and english manual
* version 1.4.6.0 

27.10.2015 14:18:25
* added: info message if number of measurement points is not high enough to calculate psi(i)
* changed: resistance calculation for step response measurement optimized
* fixed: tab sequence in step response and qsm-panel
* version 1.4.5.0 

20.08.2015 11:11:22
* fixed: deleting qsm measurement also deletes previous step response measurement
* version 1.4.4.3
 
18.08.2015 10:10:12
* changed: accidential reset of calibarated offsets removed
* version 1.4.4.2

17.08.2015 14:24:43
* changed: removed unspecific error message "Resistance can not be determined!"
* fixed: unhandeled exceptions occuring after incomplete measurement
* version 1.4.4.1

03.08.2015 16:18:02
* added: zoom view (+/- 4000 A/m) in data sheet, if B(H) characteristic is included
* changed: "file in use" message removed, if already active project is selected by file open dialog
* changed: removed head line in characteristics tool
* changed: increased performance of parameter checks
* changed: improved handling of negative input values, if not reasonable (automatically changed in positive values)
* changed: optimized layout of quasi-static measurement panel for low display resolutions
* changed: improved info message while exceeding power module capabilities including short time usage mode
* fixed: missing translations for parameter time panel
* fixed: missing size properties of parameter panel for quasi-static measurement in english view
* fixed: error handling for negative induced voltage input for qsm measurements
* fixed: some typos and missing translations
* version 1.4.4.0
 
20.07.2015 08:50:38
* fixed: values in data sheet pictures are no longer mixed up, if more than one characteristics is included
* fixed: missing reinitializing of color coding for timeout field
* changed: color coding of Imin or Imax changed to red, if value out of range (now same behaviour as other parameter fields)
* added: limits of power module are now used for min and max values of current input fields 
* added: negativ voltage or current values for resistance measurement (-24...150)
* version 1.4.3.0

09.07.2015 10:15:12
* added: support for SQL Server 2016 LocalDB
* fixed: color coding for plausibility check for measurment of rod, ring or sheets
* changed: improved form for step response measurement
* updates: software manual
* version 1.4.2.0

03.07.2015 11:31:07
* added: plausibility check for switching power-supply modules
* version 1.4.1.0

25.06.2015 14:06:16
* fixed: issue in color coding of SRM parameters
* version 1.4.0.1

24.06.2015 10:19:35
* added: plausibility check for quasi-static measurement of magnetic systems (parameters exceeding the power supply capabilties are highlighted in yellow, measurement is still possible) in conjunction with analog power supply modules
* added: settings option for disabling plausibility check message in message panel 
* added: error handling for database paths longer than 128 characters
* added: support for LocalDB as database backend (LocalDB is used prior to SQL Server Express, if available)
* fixed: wrong parameter copy for first rod or metal sheet measurement (occured only, if the first action was to copy an existing measurement)
* fixed: several typos
* updated: .NET framework version updated to 4.5.1
* updated: x64 version is available by request
* updated: german and english manuals
* removed: folders automationpout and automationscripts in application folder
* removed: unused automation script folder including scripts

11.05.2015 15:49:12
* data-sheet images are now in GUI language
* B(H) curves are now always centered
* wrong x-axis label for Uind1(t)c characteristics fixed
* templates for english data-sheets fixed
* contact URL on splash screen updated
* adjustments for main module version 5V
* version 1.3.11.0
 
22.04.2015 09:10:50
* splashscreen updated
* adjustments for 5V main module version
* version 1.3.10.1

16.04.2015 08:30:05
* improved handling of command line parameters
* only *.mdf files are valid for opening by command line parameter list
* merge of different software versions
* version 1.3.10

08.04.2015 13:13:04
* changed: misleading warning for plausibility check disabled
* version 1.3.9.2

14:13 27.03.2015
* changed: calculation for secondary voltage 

16:46 19.03.2015
* fixed: program properties window doesn't show all fields after init

10:00 18.03.2015
* fixed: prevent division by zero if charts number = 0 in the points per chart calculation
* fixed: no relais switching / no voltage at device output with some measurement modules

17.03.2015 10:43:02
* fixed: folder for data-sheet images is not deleted by "Delete all" button
* fixed: "induced voltage" string not shown in parameter panel for quasi-static measurement (german only)

10.03.2015 10:05:11
* data-sheet structure changed, main template, css-file, and company header file added and separated from language specific content templates
* common info informations are now part of data-sheet if set
* improved data-sheet layout
* data-sheet characteristics images are now stored in a subfolder
* changed image format to png 
* removed absolute paths in data-sheets
* image files in header have now relative paths (files have to be placed in <data-sheet>/images or in <application folder>/HTMLFiles/<language>/Images)
* version 1.3.8.0 beta

02.03.2015 13:38:42
* improved data-sheet content and layout
* hysteresis data-sheets are now responsive to the measurement type
* improved translation

27.02.2015 09:46:47
* obsolete seriesName function and input fields removed 
* qsm resistance measurement: errors fixed
* qsm resistance measurement: disabled measure button fixed
* qsm resistance measurement: detection of not connected object added
* qsm resistance measurement: resistance field is no longer editable in release versions
* date input in common info panel disabled
* file open dialog is no longer shown, if new project => cancel is selected in the popup windows (only if unsaved measurements existed)
* file open dialog is no longer shown, if open project => cancel is selected in the popup windows (only if unsaved measurements existed)
* purge and shrink database functions merged
* values of automatically calculated induced voltage are no longer resetted by changing tree element
* check object button removed due to implementation of functions during normal operation
* geometric limitations for rod adapter added
* added syntax check for measurement names to avoid problems during ascii export
+ visibility control for communications panel added in main menu
* most recent files are no longer opened regardless of actual unsaved measurements
* re-arranged parameter input form for qsm measurements
* voltage control for resitance measurement when using firmware version 1.8
* characteristic parts connected in chart display for B(H) and quasi-static Psi(i)
- legend removed in chart display
* data sheet creation: invalid cast exception fixed
* version 1.3.6.0 beta  

17.02.2015 08:27:55
+ MagHyst software installation registers MagHyst as default program to open *.mdf-files
+ double click on *.mdf-file opens this file in MagHyst software
+ assigning a path to an *.mdf-file as first command line parameter, this file is opened
- removed obsolete files from installer
* fixed missing project name in window title if project is opened automatically
* save project is enabled for automatically opened projects
* using F3 does not cause an exception anymore if maghyst is not connected
* resistance measurement is disabled if no custom settings are used and current settings are invalid 
* message is shown instead of faulty value, if object resistance is too high (>0,5 MOhm) or no object is connected
* version 1.3.1.0 beta

05.02.2015 13:38:57
* removed obsolete files
* removed settings storage in %APPDATA/local/KMC
* changed default characteristics color to black
* minor code optimizations
* removed dependency between software version and settings file
* settings file is no longer resetted during updates (relevant for future updates)
* installer picture updated
* a project has to be open for new adding measurements
* new default measurement parameters for linear adapter and sheet-metal adapter
* improved automatic calculation algorithm for induced voltage (quasi-static measurements with adapter)
* properties of adapters (number of turns, hall coefficient) are stored persistent now
* default measurement parameters depend on type of measurement object
* version 1.3.0.0 released 

02.02.2015 14:21:08
* Fixed properties button in context menu
* unused elements in context menu removed
* font formatting of html templates is now consitant
* missing translations in messages panel added
* number of points is no longer the sum of all characteristics
* minor errors in message format fixed
* installation splash screen updated
* 1.2.4.0 release

29.01.2015 08:50:31
* B(H) curve "closing" and "centering" B(H) curves in protocols fixed
* wrong character encoding in data-sheet templates fixed
* Splash screen is shown by default
* Auto connect is active by default
* Splash screen updated
* Data-sheet templates updates
* Various performance optimizations for characteristics display
* 1.2.3.0 release

10:28 16.01.2014
* connection of maghyst device optimised
* english manual added
* renamed "?" to "help"
* translated versions for datasheets and the help screens added
* 1.2.2.0 release  

14:23 12.12.2014
* german manual updated
* 1.2.1.0 release

17:09 10.12.2014
* CAN init error reporting reduced ("CAN channel number is not available")

17:25 01.12.2014
* graph color order changed: from reg-green-blue -> black-red-blue-green etc.

12:04 01.12.2014
* corrected measured resistance value for "U=100V, I=1A" modules
* ascii export checked: remanence and coercivity parameters are generated only for new measurements
* 1.2.0.0 release

10:08 25.11.2014
* Compress project deactivated for remote SQL connections
* properties windows optimizations
* option "clear diagram" removed from diagram context menu
* export optimized by eleminating replace function

9:38 25.11.2014
+ Access option for remote SQL server in properties
+ Language selection for german and english
* Database access optimizations
* removed image column in properties dropdown lists
* verbal description of value seperator and decimal symbol in dropdown lists
* removed dependency of export language from decimal symbol
* removed dependency of project tree export from CommonInfoPanel setting
* Redesign of CommonInfoPanel
* Redesign of properties window
* Removed header lines from diagram export as txt-file
- Temperature tool removed
* 1.2.0.0 beta 

11:17 24.10.2014
* QSM: acceptable bridge balance DAC min. value reduced from 256 downto 128 digits (Rcumax increased, 
  but the Rcu measurement resolution with 0.5...1% is insufficient, HW mod is necessary to 
  work with DAC min values about at least 1024 for Rcu max)

10:18 21.10.2014
* offset adjustment corrected (the procedure failed for very small current limits under 10mA)
* Imax and Imin rounding changed downto 4 digits
* 1.1.5.0 beta

14:59 16.10.2014
* default datasheet generation changed for new measurements:
  Psi(i) chart is inserted only for primary coil measurements,
  B(H) chart is inserted for ring, rod, sheet adapter measurements
* 1.1.4.0 release

11:53 15.10.2014
* "closed / centered" datasheet B(H) chart properties changed by the global settings
* 1.1.3.0 release

11:56 07.10.2014
* relative permeability calculation fixed (factor 2 removed)
* 1.1.2.0 release

10:11 25.09.2014
* 1.1.0.0 release
* "u=24V, i=15A" description added

17:11 12.09.2014
* imax rounding @ 3->4 digits to define very small (mA) currents 

16:00 11.09.2014
* imax value for "u=5V, i=1A" reduced

11:36 10.09.2014
* rounding for imax, imin fixed (3 digits)
* ring core parameter update @ switching measurement object type deactivated (better for copy / paste)

15:14 08.09.2014
+ Temperature tool 'fixed'
+ defined MeasurementTimeOut is saved as a QSM parameter
+ bridge balance parameters update immediately after textbox' edit

13:54 08.09.2014
+ mue_max evaluation.
+ field strength for mue_max evaluation.


13:29 07.09.2014
- multiple (excessive) parameter checks removed (intensive beta test necessary!)
+ hall coefficient is stored in the database
+ some database columns added for additional bridge balancing varialbles
  (CheckDataBase@DataBase.cs)
+ write new parameters into the database implemented 
  (WriteDataToDatabase@HysteresisModulePanel.cs)
+ update new parameters' GUI fields from the 'parameters' structure
  (treeViewService_OnSelectionChanged@HysteresisModulePanel.cs)
  (SetParametersToGUI@parameterpanel.cs)



14:10 01.09.2014
* 'Uind1(t)c' used for the calculated induced voltage (step response measurement) to distinguish from the measured value simply Uind1(t)


14:26 29.08.2014
* parameter drift for induced voltage fixed (CalcExactValues)
* two parameters uwSamples1, uwSamples2 added for bridge balancing 
  to be used respectively for 10x MSB and 6x LSB

17:39 27.08.2014
- relais won't switch off after each bridge balancing
- system timers reduced from 1...5 s downto 0.1 s (for faster QSM start after bridge balancing)
* first device connection after a "cold boot" reports an error if an analog power supply is used
* 1.0.62.0. beta

16:05 07.08.2014
+ variable delay [0.001...6.5s] before the bridge balancing implemented (FW >= V1.8)
+ switch before voltage feedback and current feedback during bridge balancing (FW >= V1.8)
* 1.0.61.0. beta

11:46 06.08.2014
* 1.0.60.0. release


11:10 28.07.2014
* prepare to set the delay before the bridge balancing by software 
  (main module firmware 1.8 is necessary!!!)
* imax = 25A (u=12V, i=15A module description)
* Rshunt = 0.05 Ohm
* 1.0.60.0 beta



09:34 23.07.2014
- in MainModule.cs: i_maxFehlerADC, i_minFehlerADC re-activated ('+' and '-' overcurrent protection enabled!!!)
+ SetGetBridgeBalancingDurationAdr = 1012;
+ SetGetBridgeBalancingDurationLen = 1;

+ in Parameters.cs: added two UInt16 parameters BridgeBalancingDuration, BridgeBalancingFeedbackSwitch

11:19 21.11.2013
"U=12V, I=15A": Rm1 = 0.1 Ohm (MM175, MM214 only!!!)

16:36 30.10.2013
+ DataBase.cs: added variables HallCoefficient and CustomBridgeBalanceCurrent
+ html report section: added database file name and record name for the selected measurement


02.07.2013 15:51
* 1.0.53.0 release


22.05.2013 16:22 
* CurveTool 
  + added 'NK' button to switch off the 1st curve of the quasi static measurement (press it _before_ drag and drop, otherwise no function!)
  + added '1.' button to switch between 1st quadrant and full diagram views

16:43 17.05.2013
* database messages translated in english
* voltage measurement channel now can be deactivated. 
! todo: try to reduce sampling time with qsm (without a voltage channel) downto 32 µs (in progress)

16.05.2013 15:26 
* 1.0.53.0 beta
* parameters.cs CalcMinMesuremetPointIConstRise 0.9 -> 2.0 -> 5.0 s
* MaxMeasuringTime = 300 -> 600 s
* StartOffsetAdjustment: min. measureDataPoints 100 -> 400, t: 0.02 -> 0.08

16.05.2013
* 1.0.52.0 release

15.05.2013
* close and center graph functions corrected
* save initial non-centered and non-closed B(H) data before Br, Hc calculation 
  and store the original data with calculated Br, Hc, Bmax, Hmax in the database afterwards
* date / time written into the data sheet and ascii export files corrected

25.04.2013
* maximal measurement time increased up to 300 s
* Uind2: display 4 digits (resolution 0.0001 V)
* SW version 1.0.52.0 (beta)

08.03.2013
* minor bugs (curve properties) removed
* new empty data base with activated index building property attached 
  (new projects work significantly faster, especially if number of measurement nodes is over 500)
* SW version 1.0.51.0 (release)

05.03.2013
* SW version 1.0.51.0 (beta)
* single curve reading from a database after a click in a project tree optimised
* MaxMeasuringTime@MainModule = 180 s (increased from 45 s)

28.02.2013
* MainModule.cs: R10_LE_12V = 1.5e3 (MM236!, todo: the same HW values for the both low res. modules MM276)

26.02.2013
* "U=12V, I=15A": RM1_12V = 0.05 Ohm (from 0.018181 -> 0.04 -> 0.05 in MM236)

11:33 05.02.2013
+ range check added for the degaussing tool

10:29 24.01.2013
* MeasureResistorSelection: added module description "U=5V, I=10A" (todo: change FW/SW to "U=5V, I=1.25A" !)
  with 2 Ohm shunt, 5K in the bridge balancing circuit, 3.3K for voltage measurement


13:45 21.01.2013
* save all (save project) function changed, it runs faster with larger datasets (over hundert measured nodes)
* version 1.0.46.0  

17:37 11.01.2013
* line 1196, PasteMeasuringFromClipboard, PasteParameterFromClipboard @ MagHyst.DataBase: 
  - argument out of range exception by copy measurement node, if the node name does not contain any numbers.
  - corrected, for alphabetic names a _### counter is automatically added and incremented afterwards
  (-) bug: the 'char' name part is truncated if followed by a number and the same name exists in the target node list

09:55 11.01.2013
* !!! custom bridge balancing current window / switch added
  - manual measurements only
  - non-protected (without limits / feasibilty check etc. / no save) => use at your own risk!!!

17:39 10.01.2013
* CalcGraphNormalizeGK_NK @ MagHyst.CharacteristicManipulation: remove centering by x (otherwise false results with psi-i)

11:49 03.01.2013 [1.0.44.14 beta]
* degaussing tool optimised:
  + initial offset calculation added to correctly plot U and I diagrams from the zero point on
  + sampling time input added
  + number of points is calculated and the checkbox "transfer data" is deactivated if array size larger then available RAM buffer size (256K)
* Ws (secondary voltage) scaling factor adjusted (+-2.5V measuring range, +1.56%)
* UH(t) range is 0...3.75 V, input impedance 15.1 kOhm
* additional ADC channels selection reduced (internal channels for (u, i) removed from the list)

16:25 29.11.2012
* autoconnect = false by default (to omit error messages during connection attempts)
* "communication" section under MagHyst program settings is renamed into "start program" to match the contents (show splash screen, autoconnect)

11:39 27.11.2012
* link to the MagHyst homepage updated: http://www.stz-mtr.de/stz-mtr/de/maghyst-de
* recent pdf manual attached

11:22 26.11.2012
* when a parameter node copy is created, the counter _at the end_
  of the 2nd and the following copies is incremented by 1 automatically (both "text" and "name" properties)
  -> StepResponseModulePanel: treeViewService_OnPasteParameters =>
  -> DataBase.cs: PasteParamterFromClipboard, PasteMeasuringFromClipboard
* do not expand measurement nodes after the measurement (comment treeViewService.Selected.Expand(); in SRM and QSM OnMeasurementComplete)
* added "Projekt &speichern" in a file menu (projectSaveCommand_Click) with cancel button


10:49 19.11.2012
* in StepResponseModulePanel and HysteresisModulePanel: CopyTreeNodeProperties:
  MakeDate & ChangeDate parameter for newTreeNode = System.DateTime.Now 
  to update this property instead of simply copy an old value.

11:33 24.09.2012
* MainModule.cs: RM1_80V = 0.201 -> rolled back to 0.2;
* alternativ public const double R9_LE_80V = 101.0e3 to change Rcu value for QSM;

11.09.2012
debug ErrorBackColor / ParameterCheck 
 :Problem in NumericTextBox.cs 
  public Color BackColor; public Color ForeColor: do not use "override" keyword!!! Hiding was indended!!!

07.09.2012
* show splash window only if it activated under user settings; TopMost = false
* save AutoConnect setting implemented (com%% number from MagHyst.config)
* standard voltage setting for U=12V,I=15A changed to 12V if "module changed" (from 28V)
* corrected shunt value for U=12V,I=15A module (0.0181818 -> 0.0185), resistance values in QSM / bridge balancing is therefore closer to real values

QSM parameters analysed:
- MM.ParameterPanel @ SetInitialParameters: TimeInterval, Magnetic_dPsi_dt OK
- after connect: parameter.Magnetic_dPsi_dt changed (0.50018310546875 with device offsets / scale factors / ADC resolution)
- treeViewService_OnSelectionChanged: NOK (parameter.Magnetic_dPsi_dt = 0.5002!!! due to rounding)
- MM.ParameterPanel @ numericUpDown_dPsi_dt_ValueChanged: 

! CalcExactValues @ Parameters.cs: dPsi_dt = Calc_dPsi_dtbyDAC_C_Value(tempDAC_C);
! CalcGK_VoltageByDAC_C_Value: 
! CalcOffset @ MM.CalcFunctionsHM: 

1. numericUpDown_dPsi_dt_ValueChanged @ ParameterPanel: OK, 8, MidpointRounding.AwayFromZero
2. Solved with MM.ParameterPanel @ SetParametersToGUI :
   numericUpDown_dPsi_dt.Value = (Decimal)Math.Round(parameter.Magnetic_dPsi_dt, 3, MidpointRounding.AwayFromZero);


06.09.2012
* CalcDAC_C_Value @ CalcFunctionsHM.cs changed to remove "settings drift", i.e. 0.5V -> 0.499V etc
* problem found in treeViewService_OnSelectionChanged: 
* in StepResponseModulePanel, HysteresisModulePanel added round(xx,8) after conversion from DB double values
* flash screen temporarily deactivated in program.cs 
* !! QSM: found differences in the first and subsequent offset Ugk (ind. voltage) 
  in automatic mode due to different bridge balancing values
  (65535@1, xxxx@2, yyyy@3 ..., xxxx~yyyy, xxxx<<65535, therefore Ugk_offset = 32746.41@1, 32697.74@2, 32697.5@3 ... )


04.09.2012
+ calcFunctions.CalcADC_HallH(19500) for H(A/m)-zero point in AddMeasureDataStream @ MM.Parameters.cs
+ changed zero point handling (zero point:  actual offset values @ t=0)
+ step response: each next sub curve (i.e. from 1) has the last point 

03.09.2012
+ Dauertest TestMainDLL.exe: Speicherverbrauch ca. 31504K -> 31684K  -> 31892K 
 -> 31884K -> 31788K -> 31772K
 -> 32000K -> 31992K -> 32120K (log 92.509K), 650x SRM
 -> 32300K (log 102K) -> 32508K (log 105.251K), 742x SRM: Abstürtz (keine weiteren Messungen)

02.09.2012
+ insert overheating protection log entry in ParameterPanelTime.cs

01.09.2012
* insert pseudo zero points: 
  + in ParameterPanelTime.cs/ReadMeasurementData()
  + MM.Parameters.cs: in AddMeasureDataStream

31.08.2012
* measurement parameters and resistance are included in automatic ascii export
* diagnosis messages are translated into english

30.08.2012
[ParameterPanelTime.cs]: 
* in GetOffset(...) check if (paramHM != null) inserted, otherwise GetOffset does nothing
  wrong results possible!! (workaround: establish connection manually and wait 5-10 s)

24.08.2012
* message strings translated in english

[MainForm.cs]
 "MagHyst verbunden (" 		=> "MagHyst connected ("
 "Der Verbindungsversuch über "	=> "Connection attempt on "
 " ist fehlgeschlagen."		=> " failed." 
 "Es sind keine seriellen Ports verfügbar." => "No available serial ports found."

[CommunicationModule.cs]
 "Modbus: LoadModuleTable() ist fehlgeschlagen" 
  => "Modbus: LoadModuleTable() failed" 

 "Falsche Daten bei \"ReadErrorMessage()\"! CAN-Kanalnummer nicht vorhanden."
  => "Data error in \"ReadErrorMessage()\"! CAN channel number is not available."

 "Falsche Daten bei \"ReadEventMessage()\"! CAN-Kanalnummer nicht vorhanden."
  => "Data error in \"ReadEventMessage()\"! CAN channel number is not available."

 "Modbus: SetMasterSelect() ist fehlgeschlagen"
  => "Modbus: SetMasterSelect() failed"

 "SetSlaveSelect(): Ein Modul mit der angegebenen Seriennummer ist nicht vorhanden."
  => "SetSlaveSelect(): module with the specified serial number is not available."

 "Startadresse ist ungültig."	=> "Start address is invalid."
 "Datenanzahl ungültig." 	=> "Wrong data length."

 "Fehler in der Datenübertragung!" => "Error during data transfer."
 "Fehler bei der Modbusübertragung." => "Modbus communication error."

 "Das Modul kann nicht deaktiviert werden!"
  => "The module cannot be detached!"


23.08.2012
+ auto ascii export on script automated step response

21.08.2012
* auto connect at program start up (at first to COM port defined in maghyst.config, then try to connect on all existing COM ports)
* remove connection error messages from status panel, write them in log file only
* I_max_RM1_80V = 2.5; (for an experimental main module, firmware bridge balancing duration for MM179: 2s)
+ copy selected measurement into database by F6
+ message with database access rights added (in Database.cs / CheckDatabase())

20.08.2012
* preparation of some functions for dll auto step response

15.08.2012
* messagebox "Save actual measurements?" is called before "new project" and "open project", too (in addition to close form event)


14.08.2012
* MaxMeasuringTime = 40 (MainModule.cs)
* Timeout = 40 (constants)

23.07.2012
* HysteresisModulePanel.cs: removed all local variables "mainForm",
  instantiate global private class variable "mainForm" instead,
  todo: test it with a device hardware

09.07.2012
+ change color in actual measurement nodes implemented
* for MM "80V@2A" current limit temporarily increased (imax = 5A)

02.07.2012
+ messagebox "Save actual measurements?", save on exit for all non-saved measurement nodes.
  Empty nodes without charts are included, too, in order to save measurement settings
  
26.06.2012
+ change color for database measurement's tree nodes (including color dialog update)
+ update all charts of the selected series collection color with OK in color dialog 
* Version 1.0.44.7 release

22.06.2012
+ html protocol files shrinked / optimised
+ log file functionality added (set path in MagHyst.config in the program start directory)
+ some preparations for the series measurement done

18.06.2012
+ (beta version) change color for database charts implemented (each node individual),
  update with click on another tree node

15.06.2012 
+ automatic rotate colors option is activated for the comparison tool, switching between saved / automatic implemented
+ series properties added to the legend context menu
* changed colors of the data sheet graphs to contrast red, green, blue

14.06.2012
* in HysteresisModulePanel, DBHysteresisModulePanel, StepResponseModulePanel, DBStepResponseModulePanel:
- only B(H) and Psi(i) will be included in html-datasheets after the measurement (default setting).
- Other graphs should be selected manually if necessary
* if there are no graphs selected at all, only text section is normally generated (previous version: unhandled exception)
* Version 1.0.44.7 beta

03.05.2012
* MainMudule.cs: MM.PHM.BridgeBalancingCurrent = 0.2 (decreased from 1)
* MM.MainModule.iBridge = parameter.CurrentMaximum * 0.2; (decreased from 0.5)
* Version 1.0.44.6

05.04.2012
+ "damaged" offset calculation is repaired (ParameterPanelTime.cs!!)

03.04.2012
+ some export lines (Br, Hc, geometry etc) de-activated if the measured object is an actuator
+ in database.cs: added column "MeasuredResistance" for StepResponseModule
+ in ASCIIDataExport.cs: added export section for "MeasuredResistance" (if exists)
+ DataSheetStepResponse.htm : added section db.StepResponseModule.MeasuredResistance
+ DBStepResponseModulePanel: added public MeasuredResistance, private Rmeas, used local resCU 

+ overcurrent protection temporarily deactivated (i_maxFehlerADC, i_minFehlerADC in MM.MainModule.cs vk 03.04.2012)

20.03.2012
+ better calculation of initial hall offset => stable BH-loops from adapters
+ Br, Hc (local) in CharacteristicManipulation.cs
+ Br, Hc, Bmax, Hmax, Jmax in Parameters.cs
+ server.KillAllProcesses(dbFile) re-activated
+ server.DetachDatabase(dbFile, _false_): don't update the statistics for the database before detaching it

the functions of interest are in:
* MagHyst.CharacteristicManipulation.cs (CalcGraphNormalizeGK_NK): adjust stored curves from the database
* MagHyst.MM.Parameters.cs 
	(CalcGraph_I_t_To_X_I): generate y(x)-curves from the measured data
	(CalcGraphNormalizeGK_NK): is actually not used
* DBHysteresosModulePanel.cs, HysteresisModulePanel.cs

tbd:
1. Br, Hc, Bmax, Hmax, µmax
2. Hallkoeffiziente und Wp, Ws für Stab- und Blechadapter in Program settings speichern
3. Brückenabgleich variabel: U/I feedback, Werte: user defined constant oder % von Imax
4. Kennlinienfarben beim Erstellen und Kopieren von Messungen sinnvoll "rotieren"

08.03.2012
+ in CalcGraphNormalizeGK_NK [CharacteristicManipulation.cs] the normalization is done
  for hysteresis curves only (not for time diagrams!)
+ for BH curves from adapters the "curve averaging" and "remove spikes" is active by default
+ version 1.0.44.4 release for the software

06.03.2012
+ added / "sheet thickness" and "sheet width" in html protocol files
+ remove unnecessary files
+ sheet adapter: correction for stray flux with a fixed coefficient, depending on the probe thickness implemented
+ sheet adapter: correction for hall sensor delay (1.2 ms) inserted for BH

16.02.2012
+ support for sheet adapter added (2x4mm cross-section, primary/secondary winding / new object/connection)
* tbd: correction for stray flux should be implemented
+ version 1.0.44.4 beta for the software

15.02.2012
+ definitions for "U=12V, I=15A" added
+ version 1.0.44.3 for the software
+ bridge balancing: i_bridge_bal = 0.5 * imax (increased from 0.2) _or_ 1A max (increased from 0,2A)
= "propertys" replaced with "properties"


20.01.2012
[MainModule.cs]
        public const double R9_LE_12V = 10.0e3;
        public const double R10_LE_12V = 1.0e3;
        public const double RM1_12V = 0.01818181818; // 0.2||0.02 = 0.01818... Ohm
        public const double RM2_12V = 0.1818181818;  // 2||0.2 Ohm = 0.1818... Ohm;
        public const double Rsrc_12V = 2.5; // um den Innenwiderstand der Quelle und der Verkabelung zu berücksichtigen
        public const double U_max_12V = 28;
        public const double I_max_RM1_12V = 15; // absoluter Maximumrating für die Quelle / Mainmodul
        public const double I_max_RM1_2_12V = 10; // mit dem 0.2 Ohm Shunt sollte der Strom unter 10A bleiben (20Watt!!!)
...
                if (paramHM[0].ModuleDescription == "U=12V, I=15A")                //Info Vladimir 27.09.2011
                {
                    parameter.MeasureChannels[1] = 0;                             // Sekundärspannung nicht messen
                    parameter.MeasureChannels[2] = 1;                             // Primärspannung messen

                    parameter.Magnetic_dPsi_dt = 0.5;
                    parameter.CurrentMaximum = 0.5;
                    parameter.CurrentMinimum = 0.001;
                    parameter.MOConnection = MessobjectConnection.Primary;

                    parameter.MOGraph = MessobjectGraph.Psi_I;
                }

[CalcFunctionsHM.cs]
            if (version.ModuleDescription == "U=12V, I=15A") //VK 20.01.2012
            {
                r9_LE = PHM.R9_LE_12V;
                r10_LE = PHM.R10_LE_12V;
                rm1 = PHM.RM1_12V;
                rm2 = PHM.RM2_12V;
                r_src = PHM.Rsrc_12V;
                i_max_RM1 = PHM.I_max_RM1_12V;
                i_max_RM1_2 = PHM.I_max_RM1_2_12V;
                u_max = PHM.U_max_12V;
            }

[ParameterPanelTime]
...

     OnModuleChanged

                if (paramHM[0].ModuleDescription == "U=12V, I=15A") //VK 20.01.2012
                {
                    numericUpDownImax.Value = (Decimal)15.0;
                    i_max = (double)numericUpDownImax.Value;

                    numericUpDownUmax.Value = 9;
                    u_max = 12;
                    u_DAC_C_Value = calcFunctions.CalcUOUT_DAC(U_max);
                }

     public void PsiI()
                if (paramHM[0].ModuleDescription == "U=12V, I=15A")//VK 20.01.2012
                {
                    messageService1.Add(enumMessageTypes.Message, "Ohmscher Widerstand: " + (resCU - PHM.RM1_12V).ToString("0.#####") + "Ohm", "", ""); //20.01.2012 Definition fuer "U=12V, I=15A" hinzugefügt.
                }




19.11.2011
+ space, tab, cr, lf, crlf are now properly saved in user settings
+ user settings (MRU List) are moved into user/applicationdata/MagHyst2011x86/vNmaj.Nmin.Nbuild.Nversion/maghyst.user.settings, along with database
+ part of user settings is now stored under user/localsettings/applicationdata/STZMechatronik/Nmaj.Nmin.Nbuild.Nversion/user.config 
- removed STZ Mechatronik ([Manufacturer]) from default install path, user settings and program menu
- date removed from paths for automatic ascii export
+ splash screen is OK under Win XP, too (revert class derivation from NForm to Form)
+ version 1.0.44.3 for the software, 1.0.44 for installer, product code changed to install over existing software (automatically remove an old version)

10.11.2011
+ svg export
+ tif export
+ emf export
+ txt export header cleared

09.11.2011
+ export from chart context menu reactivated, .bmp and .png export added
+ copy diagram into a clipboard (as a png graphic object)
+ semicolon (;) as a value separator added
+ documentation panels slightly updated / corrected
+ version 1.0.44.2 for the software, 1.0.44 for installer, product code changed to install over existing software (automatically remove an old version)

08.11.2011
+ splash screen optimised for installer and for program info
+ main window caption simplified (MagHyst 2011 x86 - drive:\project path)
+ MagHystBedienungsanleitung.pdf added
+ SW version 43->44: 1.0.44.xxxxx, then to 1.0.44.1
+ x86 installer 0.9.0.0->1.0.0.0

07.11.2011
+ .mht panels updated

04.11.2011
- hide service menu item in STZ.Mechatronik.MagHyst MainForm.cs
+ banner in .mht files updated

01.11.2011
+ node export by F4 implemented
+ node rename by F2 implemented

27.10.2011
+ parameter copy by F3 implemented (M. Schöne)
+ AsCII export for a selected node by F4

26.10.2011
- 2x commented //baseTreeNode.Text = baseTreeNode.Text + " Kopie " + DateTime.Now.ToString();
  (remove " Kopie dd.mm.jjj") from data copies
+ excessive datasheet generation suppressed
+ installer banner updated with a new stz logo

18.10.2011 major update von Oliver Birli
+ write to a dababase has been significantly accelerated
+ open project, new project menu (for .mdf database files)
+ project cleanup, project compress
+ MRU file list
+ data export and print from the project tree
+ ascii export settings, paths for ascii data and datasheet are now controlled and stored under extras/settings


13.09.2011
+ definition for "U=80V, I=2A" added